Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159374 - gdm has a dialog that displays ~/.xsession-errors instead of /tmp/xses-$user.xxxxxx
Summary: gdm has a dialog that displays ~/.xsession-errors instead of /tmp/xses-$user....
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 03:06 UTC by Jonathan Kamens
Modified: 2009-01-09 06:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:52:35 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2005-06-02 03:06:59 UTC
My understanding is that the output of my X session is supposed to go into
~/.xsession-errors.  This is confirmed by what happens if I log in and then kill
my session within ten seconds.  I get a dialog from gdm about the fact that my
session seemingly died prematurely with a checkbox offering to let me view the
contents of ~/.xsession-errors if I check it.

The thing is, the file it's showing me isn't actually ~/.xsession-errors, it's
/tmp/xses-jik.xxxxxx, where xxxxxx is a random sequence of six characters.

I don't know why this log file is ending up in the wrong place, but I wish it
would move back to ~/.xsession-errors where it belongs.

Comment 1 Ray Strode [halfline] 2005-06-02 14:05:35 UTC
Hi Jonathan,

Normally GDM would first try to open ~/.xsession-errors and if it failed then
try to open a file in /tmp.  With SELinux we want to minimize how much access a
program has to the users home directory (so that if it's exploited for whatever
reason the amount of damage it can do to a user's personal files is minimized).
 Because of this a patch was added to GDM to bypass ~/.xsession-errors and skip
directly to the fallback case of using /tmp/xses-$username.xxxxxx.

The dialog should be looking at the log file that was open, however.  That's a
bug.  

Comment 2 Christopher Aillon 2006-01-27 20:55:26 UTC
Not a target bug.

Comment 3 Bug Zapper 2008-11-26 06:50:34 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:52:35 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.